package intrinsic.mx.styles;

public class StyleManagerImpl extends Object implements intrinsic.mx.styles.IStyleManager, intrinsic.mx.styles.IStyleManager2 {

	/** Accessors */
	public intrinsic.Array selectors;
	public Object stylesRoot;
	public Object typeSelectorCache;
	public Object inheritingStyles;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public StyleManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.styles.IStyleManager2 getInstance();

/** Methods */
public native boolean isInheritingTextFormatStyle(String arg0);
public native void getColorNames(intrinsic.Array arg0);
public native void clearStyleDeclaration(String arg0, boolean arg1);
public native intrinsic.mx.styles.CSSStyleDeclaration getStyleDeclaration(String arg0);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations2(String arg0);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations2(String arg0, boolean arg1);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations2(String arg0, boolean arg1, intrinsic.flash.system.ApplicationDomain arg2);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations2(String arg0, boolean arg1, intrinsic.flash.system.ApplicationDomain arg2, intrinsic.flash.system.SecurityDomain arg3);
public native void registerParentSizeInvalidatingStyle(String arg0);
public native boolean isParentSizeInvalidatingStyle(String arg0);
public native void registerParentDisplayListInvalidatingStyle(String arg0);
public native void registerInheritingStyle(String arg0);
public native void styleDeclarationsChanged();
public native void unloadStyleDeclarations(String arg0);
public native void unloadStyleDeclarations(String arg0, boolean arg1);
public native boolean isParentDisplayListInvalidatingStyle(String arg0);
public native boolean isSizeInvalidatingStyle(String arg0);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1);
public native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1, boolean arg2);
public native int getColorName(Object arg0);
public native boolean isValidStyleValue(Object arg0);
public native void setStyleDeclaration(String arg0, intrinsic.mx.styles.CSSStyleDeclaration arg1, boolean arg2);
public native boolean isColorName(String arg0);
public native void registerColorName(String arg0, int arg1);
public native boolean isInheritingStyle(String arg0);
public native void registerSizeInvalidatingStyle(String arg0);
public native void initProtoChainRoots();

}
